## dictd 1.10.2-3.maemo1

=== debian/changelog ===
dictd (1.10.2-3.maemo1) unstable; urgency=low
    
    * Adapting for maemo
    * Remove from Depends adduser,recode
    * Remove from Buld-Depends libltdl3-dev,flex
    * Comment adduser and usermod in debian/preinst script
    * Added shell environment PATH to PATH in script start/stop of dictd
    * Comment dictdconfig in debian/preinst script
    * Remove dictdconfig from packet
    * String: include /var/lib/dictd/db.list has been removed in dictd.conf
    * Dummy database has been added in dictd.conf
    * dicfmt packet has been removed
    * man_popen.dict has been removed from Makefile.in
    * Icon has been added in deb packet

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 6 Jul 2007 03:35:00 +0200

dictd (1.10.2-3.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/control:
    + Bumped Standards-Version to 3.7.2 (no changes).
  * debian/rules:
    + Remove libmaa/config.{guess,sub} in clean target.
    + Remove libmaa/arggram2c in clean target (autogenerated).
    + Add debian/substvars to FILES_TO_CLEAN.
    + Fix the way symlinks were created.
  * debian/copyright:
    + Update FSF address.
  * debian/changelog:
    + Removed bogus changelog entry for version 1.9.9-4.
  * debian/preinst:
    + Fix &> bashism.
  * debian/postrm:
    + Fix &> bashism.
  * debian/dict.conf:
    + Added alternative dict servers to the configuration file, as dict.org
      seems to be down, making the package unusable (closes: #405863).
  * debian/preinst-dict, debian/postinst-dict, debian/postrm-dict:
    + Applied patch from Justin Pryzby, fixing various errors in the maintainer
      scripts (closes: #372144).

 -- Julien BLACHE <jblache@debian.org>  Fri, 12 Jan 2007 14:23:45 +0100

dictd (1.10.2-3) unstable; urgency=low

  * Changed umask to 022 to avoid "other writable" pid files.

 -- Kirk Hilliard <kirk@debian.org>  Fri,  9 Dec 2005 03:33:25 -0500

dictd (1.10.2-2) unstable; urgency=low

  * Include libmaa/ when linking config.{guess,sub} to local (up-to-date)
    versions.  Thanks, Petr.  (closes: #342406)

 -- Kirk Hilliard <kirk@debian.org>  Wed,  7 Dec 2005 17:38:26 -0500

dictd (1.10.2-1) unstable; urgency=low

  * New upstream release.  (closes: #339792)
    See /usr/share/doc/dictd/NEWS for a summary of changes in this version.
    Most significantly, dictd now uses internal implementations of
    UCS-2/UTF-8 functions.  Thus, dictd no longer need to specify a utf-8
    locale with the --locale option in order to use dictionaries encoded
    in utf-8.  (closes: #232227, #314325, #292068, #297616)
    Upstream release also fixes a typo for the dict(1) man page.
    (closes: #310349, #336049)
  * Fixed typo in package description.  (closes: #311138)
  * Pached libmaa/log.c to prevent logging buffer overflow.
  * The pid file is back, so changed /etc/init.d/dictd accordingly.
    Note that dictd still drops root privileges in favor of dictd.dictd
    immediately after writing the pid file.

 -- Kirk Hilliard <kirk@debian.org>  Sun,  4 Dec 2005 20:34:50 -0500

dictd (1.9.15-1) unstable; urgency=low

  * New upstream version.
  * Patched dictl so that the argument may conatain an apostrophe.
    Closes: #263819
  * Removed unused colorit script and man page.  Closes: #263012

 -- Kirk Hilliard <kirk@debian.org>  Thu, 13 Jan 2005 14:06:59 -0500

dictd (1.9.14-2) unstable; urgency=low

  * Changed home diretory of system user dictd to /var/lib/dictd.
    Closes: #253130
  * Stop dictd --inetd from logging to stderr.  Closes: #257886

 -- Kirk Hilliard <kirk@debian.org>  Sat, 31 Jul 2004 04:32:57 -0400

dictd (1.9.14-1) unstable; urgency=low

  * New upstream version.

 -- Kirk Hilliard <kirk@debian.org>  Sun, 13 Jun 2004 18:56:00 -0400

dictd (1.9.13-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.
  * Patched dict to use /usr/bin/pager as default pager.  Closes: #246981
  * Added dictd | dict-server "suggests" for dict.  Closes: #240418
  * Improved error message which had suggested -v option even when -v is
    used.  Closes: #240274

 -- Kirk Hilliard <kirk@debian.org>  Tue,  8 Jun 2004 07:25:59 -0400

dictd (1.9.12-3) unstable; urgency=low

  * Provided NEWS.Debian.gz in each binary package, not just in dictd.
   Closes: #238612

 -- Robert D. Hilliard <hilliard@debian.org>  Fri, 19 Mar 2004 14:04:33 -0500

dictd (1.9.12-2) unstable; urgency=low

  * Patched dict.1 to reflect the Debian location of dict.conf (this was
    overlooked in 1.9.12-1).

  *  Updated NEWS.Debian.gz

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 17 Mar 2004 10:08:02 -0500

dictd (1.9.12-1) unstable; urgency=low

  * New upstream version.  See /usr/share/doc/dictd/NEWS for a summary of
    major changes in this version.

  * Wrong DICTL_CHARSET evaluation has ben corrected in dictl, based on a
    patch submitted by Roland Rosenfeld <roland@spinnaker.de>. Thanks
    Roland.  Closes: #231545

  * Updated /usr/share/doc/dictd/README.Debian.gz to reflect the
    conversion of the mueller7-dict and muller7accent-dict to utf-8
    encoding, and to mention the broken status of the dict-freedict*
    packages.

 -- Robert D. Hilliard <hilliard@debian.org>  Mon, 15 Mar 2004 16:22:07 -0500

dictd (1.9.11-5) unstable; urgency=low

  * Upstream didn't accept the modification to dictl in 1.9.11-2, so I have replaced dictl with dictl from CVS. Closes: #231401 (really this time).

  # Added Depends: recode to dict, needed to make dictl work.

 -- Robert D. Hilliard <hilliard@debian.org>  Sat, 07 Feb 2004 18:43:45 -0500

dictd (1.9.11-4) unstable; urgency=low

  * Kirk Hilliard <kirk@debian.org> has patched dictfmt.c to improve
    handling of multipole headwords (added the --break-headwordsoption),
    and modified dictfmt.1 accordingly.  Thanks, Kirk!

  * Updated /usr/share/doc/dictd/README.Debian.gz to reflect the
    conversion of dict-de-en to utf-8 encoding.

 -- Robert D. Hilliard <hilliard@debian.org>  Wed, 04 Feb 2004 16:35:46 -0500

dictd (1.9.11-3) unstable; urgency=low


