=== debian/control ===
Source: dictd
Section: user/Commandline
Priority: optional
Maintainer: Vlad Vasiliev <vlad@gas.by>
Build-Depends: bison, zlib1g-dev, autotools-dev
Standards-Version: 3.7.2

Package: dictd 
Section: user/Commandline
Priority: optional
Architecture: any 
Description: Dictionary Server 
 dictd is a TCP based server that allows a client to access dictionary
 definitions from a set of natural language dictionary databases.  
 .
 Many dictionary databases have been packaged for debian.  They are
 discussed in more detail in the file
 /usr/share/doc/dictd/README.Debian.gz
 .
 Either dict-gcide or dict-wn is essential for a useful English
 language dictionary server.  It is strongly recommended that both be
 installed.  If you are interested in computer terminology, it is
 recommended that one or more of dict-jargon, dict-foldoc, and
 dict-vera also be installed.
 .
 The client program, dict, is packaged in dict*.deb  If you are 
 running a server, you will want the client for all machines in your 
 network, and for testing server operations.
Depends: ${shlibs:Depends}, netbase, dictzip
Recommends: dict | dict-client 
Suggests: dict-gcide | dict-web1913, dict-wn, dict-jargon, dict-foldoc
Provides: dict-server
Conflicts: dict-server
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wcRDgcrcAkoUAAAAB10RVh0Q29tbWVudABDcmVhdGVk
 IHdpdGggVGhlIEdJTVDvZCVuAAACXklEQVRIx7WVP2gTURzHP7mk1dJicofUUjIkuOigpiAqgqOp
 i4N06NItgXbQIWD/OQWngEOdpCDEtViJCBk0QoVUsBgtDm1TFaRwXErbGM80vTMx8blc9Qzt0Hj9
 wheO73Hvc7/34H0BHgGvAGHzL5sbluuWq0AJWAZmgZv5fP6t2Edu4DbQDRznr1xNz659cgk4qijK
 SdM0dzweT1GWZYUmrQPfmiY4qA1gfmho6Nnq6mrJPoErFArNVqtVf7lcvqRp2h+qz+fD5/OxlwzD
 MDc3N3XgCNAJtFnTbPT19X3OZDLnZFnudLvdErukpaWlf/4qHo/vt61ia2vrBXARuAW8Br7bvi0B
 D1VVLQkhhEQLUhTlimmaT3VdjxcKhfPRaPQd8MF67QUGBwYGplRVfd/SBM3SNO3r2NjYogXZXWMh
 k8lseHBAvb29ysjIiEuSpEoikSgDx4CzyWQyK+GQgsGg3N/f7wIWrKhjZmam6hgAwO/3q8BzW3Ta
 UUBPT487Fou126ITjgK6urouRCKRhC3qdBSwh9yHDeCwAT8dBWxvb6+k0+kHtqjsKEDTtJ2JiQnN
 FhUcAxiG8TGbza4DV23xsiOASqWylkql5oaHh9eAy7s7Fg6HKy3dRUIIs16vl2q1Wptpmh3JZPLJ
 +Ph4N3ADaLeq9s3k5OQ1T4uHOef1emPAKeA6MAj4rRptADpwLxQKxf6n0UpWk3VY9gA/gBXgTrFY
 vKsoyhmnOlkAXwKBwOPp6ekpXddzjUbDEEIIgHkgf4CFGoAJFIFPwEvg/ujoaCqXy63UarVFexn9
 Bvb+r3/+fXneAAAAAElFTkSuQmCC

Package: dict
Section: user/Commandline
Priority: optional
Architecture: any
Description: Dictionary Client
 dict is the client that queries the dictd server.  Since it is TCP 
 based, it can access servers on the local host, on a local network, 
 or on the Internet.
 .
 The DICT Development Group maintains several public servers which can 
 be accessed from any machine connected to the Internet.  The default 
 configuration is to query one of these servers first, but this may be 
 changed in the configuration file /etc/dict.conf.
 .
 Queries may be customized by numerous command line options, including 
 specifying the database(s) to be queried and the search strategy to 
 be used.
 .
 dict includes dictl, which simplifies using utf-8 encoded dictionaries
 with terminals that do not support utf-8.   
Depends: ${shlibs:Depends}, netbase
Suggests: dictd | dict-server
Provides: dict-client
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wcRDgcrcAkoUAAAAB10RVh0Q29tbWVudABDcmVhdGVk
 IHdpdGggVGhlIEdJTVDvZCVuAAACXklEQVRIx7WVP2gTURzHP7mk1dJicofUUjIkuOigpiAqgqOp
 i4N06NItgXbQIWD/OQWngEOdpCDEtViJCBk0QoVUsBgtDm1TFaRwXErbGM80vTMx8blc9Qzt0Hj9
 wheO73Hvc7/34H0BHgGvAGHzL5sbluuWq0AJWAZmgZv5fP6t2Edu4DbQDRznr1xNz659cgk4qijK
 SdM0dzweT1GWZYUmrQPfmiY4qA1gfmho6Nnq6mrJPoErFArNVqtVf7lcvqRp2h+qz+fD5/OxlwzD
 MDc3N3XgCNAJtFnTbPT19X3OZDLnZFnudLvdErukpaWlf/4qHo/vt61ia2vrBXARuAW8Br7bvi0B
 D1VVLQkhhEQLUhTlimmaT3VdjxcKhfPRaPQd8MF67QUGBwYGplRVfd/SBM3SNO3r2NjYogXZXWMh
 k8lseHBAvb29ysjIiEuSpEoikSgDx4CzyWQyK+GQgsGg3N/f7wIWrKhjZmam6hgAwO/3q8BzW3Ta
 UUBPT487Fou126ITjgK6urouRCKRhC3qdBSwh9yHDeCwAT8dBWxvb6+k0+kHtqjsKEDTtJ2JiQnN
 FhUcAxiG8TGbza4DV23xsiOASqWylkql5oaHh9eAy7s7Fg6HKy3dRUIIs16vl2q1Wptpmh3JZPLJ
 +Ph4N3ADaLeq9s3k5OQ1T4uHOef1emPAKeA6MAj4rRptADpwLxQKxf6n0UpWk3VY9gA/gBXgTrFY
 vKsoyhmnOlkAXwKBwOPp6ekpXddzjUbDEEIIgHkgf4CFGoAJFIFPwEvg/ujoaCqXy63UarVFexn9
 Bvb+r3/+fXneAAAAAElFTkSuQmCC

Package: dictzip
Section: user/Commandline
Priority: optional
Architecture: any
Description: Compression utility for dictionary databases
 dictzip compresses files using the gzip(1) algorithm (LZ77) in a
 manner which is completely compatible with the gzip file format.  An
 extension to the gzip file format allows for random access to chunks 
 of about 57kb without the overhead of decompressing the entire file. 
 This package also includes dictunzip to decompress dictzipped files
 and dictzcat for viewing dictzipped files.
Depends: ${shlibs:Depends}
Replaces: dictd (<< 1.7.1-1)
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wcRDgcrcAkoUAAAAB10RVh0Q29tbWVudABDcmVhdGVk
 IHdpdGggVGhlIEdJTVDvZCVuAAACXklEQVRIx7WVP2gTURzHP7mk1dJicofUUjIkuOigpiAqgqOp
 i4N06NItgXbQIWD/OQWngEOdpCDEtViJCBk0QoVUsBgtDm1TFaRwXErbGM80vTMx8blc9Qzt0Hj9
 wheO73Hvc7/34H0BHgGvAGHzL5sbluuWq0AJWAZmgZv5fP6t2Edu4DbQDRznr1xNz659cgk4qijK
 SdM0dzweT1GWZYUmrQPfmiY4qA1gfmho6Nnq6mrJPoErFArNVqtVf7lcvqRp2h+qz+fD5/OxlwzD
 MDc3N3XgCNAJtFnTbPT19X3OZDLnZFnudLvdErukpaWlf/4qHo/vt61ia2vrBXARuAW8Br7bvi0B
 D1VVLQkhhEQLUhTlimmaT3VdjxcKhfPRaPQd8MF67QUGBwYGplRVfd/SBM3SNO3r2NjYogXZXWMh
 k8lseHBAvb29ysjIiEuSpEoikSgDx4CzyWQyK+GQgsGg3N/f7wIWrKhjZmam6hgAwO/3q8BzW3Ta
 UUBPT487Fou126ITjgK6urouRCKRhC3qdBSwh9yHDeCwAT8dBWxvb6+k0+kHtqjsKEDTtJ2JiQnN
 FhUcAxiG8TGbza4DV23xsiOASqWylkql5oaHh9eAy7s7Fg6HKy3dRUIIs16vl2q1Wptpmh3JZPLJ
 +Ph4N3ADaLeq9s3k5OQ1T4uHOef1emPAKeA6MAj4rRptADpwLxQKxf6n0UpWk3VY9gA/gBXgTrFY
 vKsoyhmnOlkAXwKBwOPp6ekpXddzjUbDEEIIgHkgf4CFGoAJFIFPwEvg/ujoaCqXy63UarVFexn9
 Bvb+r3/+fXneAAAAAElFTkSuQmCC
