## dictd 1.10.2-3.maemo2

=== debian/changelog ===
dictd (1.10.2-3.maemo2) unstable; urgency=low
    
    * Directory /usr/share/dictd has been added to dictd deb packet

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 9 Nov 2007 15:35:00 +0200
