=== debian/rules ===
--- 
+++ 
@@ -133,6 +133,7 @@
 	$(make_directory)    debian/tmp/etc/dictd
 	$(make_directory)    debian/tmp/etc/default
 	$(make_directory)    debian/tmp/etc/init.d
+	$(make_directory)    debian/tmp/usr/share/dictd
 	$(make_directory)    debian/tmp/usr/share/man/man8
 	$(make_directory)    debian/tmp/usr/share/doc
 	$(make_directory)    debian/tmp/usr/share/doc/$(pkg)
@@ -185,4 +186,3 @@
 	$(install_file)      debian/example_virtual2.conf debian/tmp/usr/share/doc/$(pkg)/examples/
 #	$(install_file) -s   dictdplugin_exit.so dictdplugin_popen.so debian/tmp/usr/lib/$(pkg)/
 #	$(install_file)      man_popen.* search_man debian/tmp/usr/share/doc/$(pkg)/examples/
-	$(install_script)    debian/preinst  debian/tmp/DEBIAN/preinst
