## dictd 1.10.2-3.maemo3

=== debian/changelog ===
dictd (1.10.2-3.maemo3) unstable; urgency=low
    
    * Changed item Section from user/Commandline to user/tools for compatablity with Maemo packaging policy

 -- Vlad Vasiliev <vlad@gas.by>  Fri, 9 Nov 2007 15:35:00 +0200
