## dictd 1.10.2-3.maemo4

=== debian/changelog ===
dictd (1.10.2-3.maemo4) unstable; urgency=low

  * Rebuild for fremantle.

 -- Marius Gedminas <marius@gedmin.as>  Tue, 22 Dec 2009 15:29:57 +0100
