=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dictd
-Section: user/Commandline
+Section: user/tools
 Priority: optional
 Maintainer: Vlad Vasiliev <vlad@gas.by>
 Build-Depends: bison, zlib1g-dev, autotools-dev
 Standards-Version: 3.7.2
 
 Package: dictd 
-Section: user/Commandline
+Section: user/tools
 Priority: optional
 Architecture: any 
 Description: Dictionary Server 
@@ -48,7 +48,7 @@
  Bvb+r3/+fXneAAAAAElFTkSuQmCC
 
 Package: dict
-Section: user/Commandline
+Section: user/tools
 Priority: optional
 Architecture: any
 Description: Dictionary Client
@@ -87,7 +87,7 @@
  Bvb+r3/+fXneAAAAAElFTkSuQmCC
 
 Package: dictzip
-Section: user/Commandline
+Section: user/tools
 Priority: optional
 Architecture: any
 Description: Compression utility for dictionary databases
