## dictd 1.10.2-3.maemo5

=== debian/changelog ===
dictd (1.10.2-3.maemo5) unstable; urgency=low

  * "user/tools" is not a valid section name in Mameo, change to
    "user/utilities"/

 -- Marius Gedminas <marius@gedmin.as>  Tue, 22 Dec 2009 15:43:37 +0100
