=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dictd
-Section: user/tools
+Section: user/utilities
 Priority: optional
 Maintainer: Vlad Vasiliev <vlad@gas.by>
 Build-Depends: bison, zlib1g-dev, autotools-dev
 Standards-Version: 3.7.2
 
 Package: dictd 
-Section: user/tools
+Section: user/utilities
 Priority: optional
 Architecture: any 
 Description: Dictionary Server
