## dictd 1.12.0+dfsg

=== debian/changelog ===
dictd (1.12.0+dfsg-5) unstable; urgency=low

  * 14-dictd.8-typos.patch: Fix typos in dictd(8) man page (closes: #657197).
  * debian/control:
    + Standards-Version: 3.9.3.
    + Update VCS fields.
  * debian/dictd.init: add lsb Description field.

 -- Robert Luberda <robert@debian.org>  Sun, 20 May 2012 21:45:45 +0200

dictd (1.12.0+dfsg-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #652021
    - Indonesian (Mahyuddin Susanto).  Closes: #661144

 -- Christian Perrier <bubulle@debian.org>  Fri, 09 Mar 2012 07:58:17 +0100

dictd (1.12.0+dfsg-4) unstable; urgency=low

  * Rebuild with the latest libmaa.
  * Add Danish translation of debconf templates (closes: #624662).
  * debian/control:
    + Standards-Version: 3.9.2 (no changes);
    + reformat dependency fields with wrap-and-sort command;
    + bump dependency on libmaa-dev to >= 1.3.0;
    + add VCS fields.
  * debian/rules: switch to using debhelper's tiny rules format.
  * debian/copyright: change format to DEP-5.
  * Prefix patch names with a sequential numbers and refresh patches with
    gbp-pq import/export.
  * New patches:
    + 12-spelling-typos2: fix more spelling typos found by lintian;
    + 13-dictd_virtual-example: fix wrong keyword in dictd_virtual.conf
      example (closes: #622637).

 -- Robert Luberda <robert@debian.org>  Sat, 07 May 2011 07:20:48 +0200

dictd (1.12.0+dfsg-3) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    + support build-arch and build-indep targets;
    + make use of dpkg-buildflags, dh_auto_*, dh_autotools_dev* commands;
    + pass -D_FILE_OFFSET_BITS=64 to CPPFLAGS.
  * Join Makefile-debcflags.patch, Makefile-clean.patch into Makefile.patch.
  * Makefile.patch: don't filter `-O' out from CFLAGS any more.
  * dict_lookup.patch: minor fix.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Feb 2011 15:16:46 +0100

dictd (1.12.0+dfsg-2) experimental; urgency=low

  * Merge changes from version 1.11.2+dfsg-4.
  * Install the new dict_lookup binary into dict package.
  * Add dict_lookup.patch:
    + check for existance of xterm & xclip commands;
    + select first available utf-8 locale or fail if there isn't any;
    + use colorit with its default configuration.

 -- Robert Luberda <robert@debian.org>  Wed, 02 Feb 2011 20:20:07 +0100

dictd (1.12.0+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Add Brazilian Portuguese debconf templates translation (closes: #610408).
  * Bump debhelper to v8.
  * Switch to the 3.0 (quilt) source format. Drop build dependency on quilt
    together with the debian/README.source file.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Jan 2011 10:40:33 +0100

dictd (1.11.2+dfsg-4) unstable; urgency=medium

  * md5-64bit.patch: fix invalid definition on uint32 type on 64-bit systems
    (except for alpha), which caused failures when 64-bit dict client tried
    to authenticate a user against 32-bit dictd server (closes: #611203).
  * Add Brazilian Portuguese debconf templates translation (closes: #610408).

 -- Robert Luberda <robert@debian.org>  Fri, 28 Jan 2011 23:53:32 +0100

dictd (1.11.2+dfsg-3) unstable; urgency=low


  * Pass AWK=awk to configure (closes: #608701).
  * Remove dependency on gawk from the dictfmt package, it's no longer needed.
  * Standards-Version: 3.9.1 (no changes).
  * Add spelling-typos.patch to fix some typos found by lintian.

 -- Robert Luberda <robert@debian.org>  Tue, 04 Jan 2011 23:25:57 +0100

dictd (1.11.2+dfsg-2) unstable; urgency=low

  * Rebuild with the latest libmaa-dev.
  * Update Finnish translation of the debconf template (closes: #564510).
  * dictd.init: Properly initialise the $DEFAULTSFILE variable.
  * debian/NEWS: remove asterisks (lintian).
  * debian/rules: support DEB_BUILD_OPTIONS=nocheck.

 -- Robert Luberda <robert@debian.org>  Sun, 10 Jan 2010 11:03:00 +0100

dictd (1.11.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Replace build dependencies on libltdl3-dev with libltdl-dev.
  * Run `make test' during build.
  * Add lintian override for `init.d-script-possible-missing-stop'.

 -- Robert Luberda <robert@debian.org>  Sun, 18 Oct 2009 14:53:05 +0200

dictd (1.11.1+dfsg-3) unstable; urgency=low

  * debian/init.d:
    + add status support (closes: #538666);
    + made force-reload same as reload (closes: #538663).
  * [Debconf translation updates]
    - Czech (closes: #533035)
    - Finnish (closes: #533596)
    - Slovak (closes: #534442).
  * Add debian/README.source.
  * Standards-Version: 3.8.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 30 Aug 2009 14:25:13 +0200

dictd (1.11.1+dfsg-2) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #522251
  * [Debconf translation updates]
    - Japanese. Closes: #522782
    - Portuguese. Closes: #523189
    - Italian. Closes: #523418
    - Swedish. Closes: #523697
    - Galician. Closes: #524244
    - Spanish. Closes: #524343
    - German. Closes: #524399
    - French. Closes: #524867
    - Russian. Closes: #524891

  [ Robert Luberda ]
  * Applied the above patch from Christian.
  * Standards-Version: 3.8.1 (no changes).
  * Fix too long lines in extended descriptions (lintian).
  * Update Polish debconf translations.

 -- Robert Luberda <robert@debian.org>  Sat, 02 May 2009 08:56:20 +0200

dictd (1.11.1+dfsg-1) unstable; urgency=low

  * New upstream release:
    + remove patches applied by upstream: dictd.8-man and dictfmt-sort-base64;
    + refresh other patches.
  * s/\.dfsg/+dfsg/ in upstream versions naming scheme (lintian).
  * Upload to unstable, since libmaa got finally accepted (closes: #512071).
  * Makefile-clean.patch: remove auto-generated example file.
  * dictd-close-fds.patch: close all file descriptors on dictd start not to
    hang dpkg-reconfigure.

