## dictd 1.12.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: text
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: autotools-dev,
-               bison,
-               debhelper (>= 8),
+Build-Depends: bison,
+               debhelper (>= 11),
                flex,
                libltdl-dev,
-               libmaa-dev (>= 1.3.0),
-               libtool,
+               libmaa-dev (>= 1.4.2),
+               libtool-bin,
                zlib1g-dev
-Standards-Version: 3.9.3
-Vcs-Git: git://anonscm.debian.org/users/robert/dictd.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/dictd.git;a=summary
-Homepage: http://sourceforge.net/projects/dict/
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/debian/dictd.git
+Vcs-Browser: https://salsa.debian.org/debian/dictd
+Homepage: https://sourceforge.net/projects/dict/
 
 Package: dictd
 Architecture: any
@@ -64,8 +63,7 @@
  This package also provides dictl, which allows using UTF-8 encoded dictionaries
  with terminals that do not support UTF-8.
 Depends: netbase, recode, ${misc:Depends}, ${shlibs:Depends}
-Recommends: gawk, m4
-Suggests: dictd | dict-server
+Suggests: dictd | dict-server, gawk, m4
 Provides: dict-client
 
 Package: dictzip
