=== debian/watch ===
# control file for the uscan(1) tool
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/dict/dictd-([\d\.]+)\.tar\.gz
